Wonder
put/svc/payment/api/v1/openapi/recurring_payments/plan/{id}

Edit a plan

Updates the configuration of a specified recurring plan..

Path parameters

idrequired
string

Recurring plan id

Header parameters

X-P-Customer-Coderequired
string

Example: {{config_customer_uuid}}

Signature
string

Example: good

Credential
string

Example: {{credential}}

x-request-id
string

Example: {{$string.uuid}}

x-i18n-lang
string

Example: zh-CN

Content-typerequired
string

Example: application/json

Request body · application/json

object

Plan fields to update

name
string

Name of the recurring plan, e.g. Plan A

callback_url
string

Webhook url that receives status notifications of recurring orders under the plan

payment_retry_count
integer

Maximum number of payment retry attempts

payment_retry_day_period
integer

Number of days to wait between payment retry attempts

default_collection_method
string

Collection method: charge_automatically or issue_invoice

Responses

coderequired
integer

Response code

required
object

Response data

required
object

Recurring plan details

messagerequired
string

Response message